# avax.importAVAX {disallowed} - Avalanche

#### Parameters

`to` - string

to is the address the AVAX is sent to. It should be in hex format.

`sourceChain` - string

sourceChain is the ID or alias of the chain the AVAX is being imported from. To import funds from the X-Chain, use "X".

`baseFee` - int

Optional.

baseFee is the base fee that should be used when creating the transaction. If omitted, a suggested fee will be used.

`username` - string

username is the user that controls the address that transaction will be sent from.

`password` - string

user password

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/ext/bc/C/rpc' \
--header 'Content-Type: application/json' 
--data-raw '{
  "jsonrpc": "2.0",
  "method": "avax.importAVAX",
  "params": [null, null, null, null, null],
  "id": "getblock.io"
}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getblock.io/api-reference/avalanche-avax/avax_avax.importavax.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
